classification
Title: os.__all__ is incomplete
Type: behavior Stage: commit review
Components: Library (Lib) Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: martin.panter, python-dev, ronaldoussoren, serhiy.storchaka, yselivanov
Priority: normal Keywords: needs review, patch

Created on 2013-07-25 13:44 by ronaldoussoren, last changed 2014-09-26 16:34 by yselivanov. This issue is now closed.

Files
File name Uploaded Description Edit
incomplete-os-all.txt ronaldoussoren, 2013-07-25 13:44 review
Messages (6)
msg193696 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-07-25 13:44
On Unix the __all__ of the os module doesn't list the names imported from the posix module. 

The attached patch ensures that exports from the posix module are added to __all__, just like they are for NT and for Python 2.7.
msg209846 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-01-31 23:46
bump?
msg225512 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2014-08-19 01:06
I ran into this today, trying to do “help(os)”. The workaround was to do “import posix; help(posix)”.
msg225751 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-08-23 16:34
LGTM. Please commit.
msg227631 - (view) Author: Roundup Robot (python-dev) Date: 2014-09-26 16:33
New changeset 7230978647a8 by Yury Selivanov in branch 'default':
os: Include posix functions in os.__all__. Closes issue #18554.
https://hg.python.org/cpython/rev/7230978647a8
msg227632 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-09-26 16:34
Thanks for the patch.

I've committed this to 3.5 only, as there is a slight chance that it breaks backwards compatibility for some scripts.
History
Date User Action Args
2014-09-26 16:34:24yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg227632
2014-09-26 16:33:17python-devsetnosy: + python-dev
messages: + msg227631
2014-08-23 16:34:07serhiy.storchakasetversions: + Python 2.7, Python 3.5, - Python 3.3
nosy: + serhiy.storchaka

messages: + msg225751

assignee: ronaldoussoren
stage: patch review -> commit review
2014-08-19 01:06:51martin.pantersetnosy: + martin.panter
messages: + msg225512
2014-01-31 23:46:10yselivanovsetnosy: + yselivanov
messages: + msg209846
2013-07-25 13:44:58ronaldoussorencreate